Name:           latex-mk
Version:        1.9
Release:        2%{?dist}
Summary:        Makefile fragments and shell scripts for latex

Group:          Applications/Text
License:        BSD
URL:            http://latex-mk.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info


%description
LaTeX-Mk is a collection of makefile fragments and shell scripts for
simplifying the management of small to large sized LaTeX documents.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


#%check
#pushd testsuite
#GMAKE=make ./run_tests.sh --without-bmake
#popd

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
mkdir fedora-doc
mv $RPM_BUILD_ROOT/%{_datadir}/latex-mk/latex-mk.* fedora-doc
mv $RPM_BUILD_ROOT/%{_datadir}/latex-mk/example fedora-doc
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/profile.d/
echo 'export LATEX_MK_DIR=%{_datadir}/latex-mk' > $RPM_BUILD_ROOT/%{_sysconfdir}/profile.d/latex-mk.sh
echo 'setenv LATEX_MK_DIR %{_datadir}/latex-mk' > $RPM_BUILD_ROOT/%{_sysconfdir}/profile.d/latex-mk.csh
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO fedora-doc/*
%config %{_sysconfdir}/profile.d/latex-mk.sh
%config %{_sysconfdir}/profile.d/latex-mk.csh
%{_bindir}/ieee-copyout
%{_bindir}/latex-mk
%{_datadir}/latex-mk/
%{_infodir}/latex-mk.info.gz

%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jul 28 2007 - Till Maas <opensource till name> - 1.9-1
- update to new version
- change Source0: to recommended sf.net URL
- add enviroment for csh

* Fri Mar 09 2007 - Till Maas <opensource till name> - 1.8-2
- remove %%{_infodir}/dir because it is created sometimes

* Wed Feb 07 2007 - Till Maas <opensource till name> - 1.8-1
- initial spec for Fedora Extras
